summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/qt5/qt5.SlackBuild')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild31
1 files changed, 20 insertions, 11 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 83efd87..d5c57cc 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -45,10 +45,11 @@
# Modifications for qt 5.4.0 2015 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.4.1 2015 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.5.1 2015,2016 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.6.0 2016 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.5.1}
-BUILD=${BUILD:-5}
+VERSION=${VERSION:-5.6.0}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -131,12 +132,24 @@ fi
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
# Properly detect ALSA version 1.1.0 as being newer than 1.0.10:
-cd qtmultimedia
- cat $CWD/patches/qt5.alsa.patch | patch -p0 --verbose || exit 1
+cat $CWD/patches/qt5.alsa.patch | patch -p1 --verbose || exit 1
+
+# Build with explicitlib, preventing linker errors:
+cd qtbase
+ cat $CWD/patches/qt5.qtbug-51621.patch | patch -p1 --verbose || exit 1
cd -
-# Prevent cropped video in full-screen mode (QTBUG-48321):
-cat $CWD/patches/qt5.whandle.patch | patch -p1 --verbose || exit 1
+# Backport fixes for QtDBus deadlocks:
+cd qtbase
+ cat $CWD/patches/qt5.qtbug-51648.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-51649.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-51676.patch | patch -p1 --verbose || exit 1
+cd -
+
+# qtwebengine fails to build with system nss 3.23:
+cd qtwebengine
+ cat $CWD/patches/qt5.qtbug-51890.patch | patch -p1 --verbose || exit 1
+cd -
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
@@ -147,10 +160,6 @@ else
PACONF=" "
fi
-# Install path fix for libplatformplugin.so:
-# See https://bugs.webkit.org/show_bug.cgi?id=117077
-cat $CWD/patches/platformplugin-install-path-fix.patch | patch -p1 --verbose || exit 1
-
sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/g++-base.conf || exit 1
sed -i -e "s/-O2/$SLKCFLAGS/" qtbase/mkspecs/common/gcc-base.conf || exit 1
sed -i -e "/^QMAKE_LFLAGS\s/s,+=,+= $SLKLDFLAGS,g" qtbase/mkspecs/common/gcc-base.conf || exit 1